import jingrow

from ...user.user import desk_properties


def execute():
	for role in jingrow.get_all("Role", ["name", "desk_access"]):
		role_pg = jingrow.get_pg("Role", role.name)
		for key in desk_properties:
			role_pg.set(key, role_pg.desk_access)
		role_pg.save()
